Subject: bug#70984: 30.0.50; Improved support for entering quotation marks, Re: bug#70984: 30.0.50; Improved support for entering quotation marks

From: Robert Pluim <[email-masked]>
Date: Fri, 17 May 2024 14:10:03 +0200

>>>>> On Fri, 17 May 2024 11:59:30 +0200, Stephen Berman <[email-masked]> said:

    >> Exactly (should I put the existing C-x 8 bindings in the NEWS
    >> entry?).

    Stephen> That probably would have spared me my momentary puzzlement and the brief
    Stephen> time it took me to discover 'C-x 8 <' and 'C-x 8 >', but I'm not sure
    Stephen> that makes them NEWSworthy.

Since people donʼt read NEWS, does it matter? 😉 It canʼt hurt.

    >> Iʼm more doubtful about my choices for the German quotation marks in
    >> the C-x 8 map. They correspond to the keys that have '(' and ')' on
    >> the US keyboard, but not the German standard keyboard, but theyʼre
    >> easy to type on both layouts. I could put them on 'C-x 8 8' and 'C-x 8
    >> 9', since those can produce '[' and ']' in the German layout, which is
    >> kind of mnemonic.

    Stephen> Yeah, and also shifted '8' and '9' produce "(" and ")" in the German
    Stephen> layout, so using '8' and '9' for another pairing seems better motivated
    Stephen> for the German iso-transl map than '9' and '0'.

OK, I can make that change.

    >> (The official German layout has them on 2nd or 3rd
    >> level shift variants of 'x' and 'v', which I thought was too
    >> convoluted to emulate).

'AltGr × <release> S-v' to produce "‘", for example, where '×' is
located where Iʼd put ESC.

    Stephen> Probably.  To add to the convolution, I use a German keyboard under
    Stephen> Xfce4 with the no dead keys layout, and that assigns "„" to AltGr-v and
    Stephen> "“" to AltGr-b; no idea why...

Thatʼs a gratuitous but coherent difference from the T2 layout, and
much easier to type. 'C-x 8 v' and 'C-x 8 b' (and thus 'A-v' and
'A-b') are unused by iso-transl, we could put them there as well (or
only there) for the German language, since they seem sensible.

Where do you have "‚" and "‘"? We can copy those as well.

Robert
--